LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
LinkBack Search this Thread
Old 05-25-2009, 12:28 PM   #1966
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16

Quote:
Originally Posted by MattJW92 View Post
OK, that seems to have worked thanks.

I have tried to open the newly update mlbviewer, but get this:

matt@ubuntu:~/Desktop/mlbviewer-svn/mlbviewer-svn$ python mlbviewer.py
The requirements for the 2009 season have changed.
Please read the REQUIREMENTS-2009.txt file.

I'm not sure what I'm doing wrong? Sorry for being a pain, really want to get this working though!
Ok.

install python-setuptools

sudo apt-get install python-setuptools
sudo easy_install suds
sudo easy_install pyxml
sudo easy_install simplejson
 
Old 05-25-2009, 12:41 PM   #1967
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Quote:
Originally Posted by mswift42 View Post
Ok.

install python-setuptools

sudo apt-get install python-setuptools
sudo easy_install suds
sudo easy_install pyxml
sudo easy_install simplejson

They all worked except from the 'sudo easy_install pyxml' one, which seemed to have many issues.

I tried accessing mlbviewer11 again, and it lets me select a game but does not play, instead returning an error.

Ask if you want exactly what either error says.
 
Old 05-25-2009, 12:44 PM   #1968
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
Quote:
Originally Posted by MattJW92 View Post
They all worked except from the 'sudo easy_install pyxml' one, which seemed to have many issues.

I tried accessing mlbviewer11 again, and it lets me select a game but does not play, instead returning an error.

Ask if you want exactly what either error says.
Yes I would like to know what either error says.
 
Old 05-25-2009, 12:53 PM   #1969
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Quote:
Originally Posted by mswift42 View Post
Yes I would like to know what either error says.
The 'pyxml' error is very long, so I have shortened it down a bit so it will fit on one post:
extensions/pyexpat.c:1838: error: ‘modelmod_name’ undeclared (first use in this function)
extensions/pyexpat.c:1839: error: ‘model_module’ undeclared (first use in this function)
extensions/pyexpat.c:1840: error: ‘sys_modules’ undeclared (first use in this function)
extensions/pyexpat.c:1848: error: ‘Xmlparsetype’ undeclared (first use in this function)
extensions/pyexpat.c:1848: error: ‘PyType_Type’ undeclared (first use in this function)
extensions/pyexpat.c:1851: warning: implicit declaration of function ‘Py_InitModule3’
extensions/pyexpat.c:1855: error: ‘ErrorObject’ undeclared (first use in this function)
extensions/pyexpat.c:1856: warning: implicit declaration of function ‘PyErr_NewException’
extensions/pyexpat.c:1862: warning: implicit declaration of function ‘PyModule_AddObject’
extensions/pyexpat.c:1866: error: expected expression before ‘)’ token
extensions/pyexpat.c:1868: warning: implicit declaration of function ‘get_version_string’
extensions/pyexpat.c:1869: warning: implicit declaration of function ‘PyModule_AddStringConstant’
extensions/pyexpat.c:1889: warning: implicit declaration of function ‘PySys_GetObject’
extensions/pyexpat.c:1890: warning: implicit declaration of function ‘PyModule_GetDict’
extensions/pyexpat.c:1891: warning: implicit declaration of function ‘PyDict_GetItem’
extensions/pyexpat.c:1893: warning: implicit declaration of function ‘PyModule_New’
extensions/pyexpat.c:1918: error: ‘list’ undeclared (first use in this function)
extensions/pyexpat.c:1921: warning: implicit declaration of function ‘PyErr_Clear’
extensions/pyexpat.c:1926: error: ‘item’ undeclared (first use in this function)
extensions/pyexpat.c:1933: warning: implicit declaration of function ‘PyList_Append’
extensions/pyexpat.c:1996: warning: implicit declaration of function ‘PyModule_AddIntConstant’
extensions/pyexpat.c: In function ‘clear_handlers’:
extensions/pyexpat.c:2023: error: ‘PyObject’ undeclared (first use in this function)
extensions/pyexpat.c:2023: error: ‘temp’ undeclared (first use in this function)
extensions/pyexpat.c:2027: error: ‘xmlparseobject’ has no member named ‘handlers’
extensions/pyexpat.c:2029: error: ‘xmlparseobject’ has no member named ‘handlers’
extensions/pyexpat.c:2030: error: ‘xmlparseobject’ has no member named ‘handlers’
extensions/pyexpat.c:2032: error: ‘xmlparseobject’ has no member named ‘itself’
error: Setup script exited with error: command 'gcc' failed with exit status 1
matt@ubuntu:~$


When accessing a game:
An error occurred in locating the game stream:

What happened here?
Please enable debug with the d key and try your request again.

And the mlbviewer debug feature returned with this:
matt@ubuntu:~/Desktop/mlbviewer-svn/mlbviewer-svn$ python mlbviewer.py
/usr/local/lib/python2.6/dist-packages/suds-0.3.5-py2.6.egg/suds/wsse.py:26: DeprecationWarning: the md5 module is deprecated; use hashlib instead
Traceback (most recent call last):
File "mlbviewer.py", line 1501, in <module>
curses.wrapper(mainloop, mycfg.data)
File "/usr/lib/python2.6/curses/wrapper.py", line 44, in wrapper
return func(stdscr, *args, **kwds)
File "mlbviewer.py", line 1194, in mainloop
u = g.soapurl()
File "/home/matt/Desktop/mlbviewer-svn/mlbviewer-svn/MLBviewer/mlbtv.py", line 1174, in soapurl
client = Client(soap_url)
File "build/bdist.linux-x86_64/egg/suds/client.py", line 106, in __init__
File "build/bdist.linux-x86_64/egg/suds/wsdl.py", line 171, in __init__
File "build/bdist.linux-x86_64/egg/suds/sax/parser.py", line 122, in parse
File "build/bdist.linux-x86_64/egg/suds/transport/https.py", line 44, in open
File "build/bdist.linux-x86_64/egg/suds/transport/http.py", line 51, in open
File "build/bdist.linux-x86_64/egg/suds/transport/http.py", line 88, in __open
File "/usr/lib/python2.6/urllib2.py", line 383, in open
response = self._open(req, data)
File "/usr/lib/python2.6/urllib2.py", line 401, in _open
'_open', req)
File "/usr/lib/python2.6/urllib2.py", line 361, in _call_chain
result = func(*args)
File "/usr/lib/python2.6/urllib2.py", line 1226, in file_open
return self.open_local_file(req)
File "/usr/lib/python2.6/urllib2.py", line 1262, in open_local_file
raise URLError(msg)
urllib2.URLError: <urlopen error [Errno 2] No such file or directory: '/home/matt/.mlb/MediaService.wsdl'>
 
Old 05-25-2009, 01:02 PM   #1970
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
I have no idea what is going on with your pyxml setup.

For your second error message enter your mlbviewer directory and
copy the Mediaservice files to your .mlb directory

cp MediaService.* ~/.mlb/


And please read the REQUIREMENTS-2009.TXT in the mlbviewer directory.
 
Old 05-25-2009, 02:10 PM   #1971
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Quote:
Originally Posted by mswift42 View Post
I have no idea what is going on with your pyxml setup.

For your second error message enter your mlbviewer directory and
copy the Mediaservice files to your .mlb directory

cp MediaService.* ~/.mlb/


And please read the REQUIREMENTS-2009.TXT in the mlbviewer directory.
Ok, done all that, now with debug on when trying to view a game I get this:

matt@ubuntu:~/Desktop/mlbviewer-svn/mlbviewer-svn$ python mlbviewer.py
/usr/local/lib/python2.6/dist-packages/suds-0.3.5-py2.6.egg/suds/wsse.py:26: DeprecationWarning: the md5 module is deprecated; use hashlib instead
Traceback (most recent call last):
File "mlbviewer.py", line 1501, in <module>
curses.wrapper(mainloop, mycfg.data)
File "/usr/lib/python2.6/curses/wrapper.py", line 44, in wrapper
return func(stdscr, *args, **kwds)
File "mlbviewer.py", line 1194, in mainloop
u = g.soapurl()
File "/home/matt/Desktop/mlbviewer-svn/mlbviewer-svn/MLBviewer/mlbtv.py", line 1258, in soapurl
return self.nexdef_url(game_url)
File "/home/matt/Desktop/mlbviewer-svn/mlbviewer-svn/MLBviewer/mlbtv.py", line 1296, in nexdef_url
raise Exception,self.error_str
Exception: Could not parse NexDef stream list. Try alternate coverage.
 
Old 05-25-2009, 02:27 PM   #1972
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
Do you still have the console open with autobahn.jar running ?
 
Old 05-25-2009, 02:29 PM   #1973
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Yes.
 
Old 05-25-2009, 02:40 PM   #1974
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
Quote:
Originally Posted by MattJW92 View Post
Yes.
Then sorry, I am out. You have to wait for Dafcat to help you.

And to assure you, that the effort to get mlbviewer running, is worth it.
I am presently watching Yankees - Rangers on my HD-Tv. after 5 innings
7 : 0 Yankees and no single bunt. It's a Beauty.
 
Old 05-25-2009, 02:46 PM   #1975
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Thanks for all your help, it's safe to say I would have no idea what I was doing if you hadn't helped me! Thank you
 
Old 05-25-2009, 03:22 PM   #1976
poorboywilly
Member
 
Registered: Apr 2009
Posts: 120

Rep: Reputation: 18
Quote:
Originally Posted by MattJW92 View Post
The 'pyxml' error is very long, so I have shortened it down a bit so it will fit on one post:
...
I assume this is the end of the error. What is the beginning?
 
Old 05-25-2009, 03:34 PM   #1977
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
The error was very long, so long that the beginning was cut off. It was very similar to the rest of the problem, with ascending numbers. I have a feeling that the last line 'error: Setup script exited with error: command 'gcc' failed with exit status 1' is the crucial one?
 
Old 05-25-2009, 03:54 PM   #1978
poorboywilly
Member
 
Registered: Apr 2009
Posts: 120

Rep: Reputation: 18
Quote:
Originally Posted by MattJW92 View Post
The error was very long, so long that the beginning was cut off. It was very similar to the rest of the problem, with ascending numbers. I have a feeling that the last line 'error: Setup script exited with error: command 'gcc' failed with exit status 1' is the crucial one?
Well that is basically the summary of what caused the setup to fail. GCC is compiling some code and it failed, so that is why the setup failed, and what caused GCC to fail was all the previous errors with the line numbers of the code file they are in. The first error sometimes trips off all the other errors, so that could be important.

One thing you could try is see if there is a "pyxml" package in your distro's package manager, rather than trying to install it with the python setuptools. This way it is precompiled and all. I don't and haven't ever used Ubuntu so I'm not sure how to do that, but I think it has something to do with "apt-get". This is how I got my pyxml, but on OpenSUSE.
 
Old 05-25-2009, 03:59 PM   #1979
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
You can try:

sudo apt-get install python-xml
 
Old 05-26-2009, 12:09 AM   #1980
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,682

Rep: Reputation: 73
Quote:
Originally Posted by marvinsc View Post
I am not a premium user. So I cant figure out the reason why when I am trying to retrieve a game I get the message

An error occurred in locating the game stream:
Could not connect to NexDef. Is autobahn.jar running?

Why ?
I'm sorry that your question got overlooked.

NexDef is default mode for mlbviewer. You can override this manually with the 'n' key toggle or you can add:

Quote:
use_nexdef=False
to your ~/.mlb/config file.

Please also make sure you have compiled mplayer from latest source using svn (read the REQUIREMENTS-2009.txt file for instructions) and you have rtmpdump v1.6. The latter may be a little tricky as Adobe came after the developer with a cease and desist and ordered him to take the code off of sourceforge. I'm sure a Google search can turn up some alternate sites to download this. Also, patch it with the instructions in REQUIREMENTS-2009.txt file.

Don't worry too much about Adobe's actions. Mlbviewer does NOT download the content which appears to be the major issue they have with rtmpdump. Instead it streams the content just like the plugin, like FlowPlayer, like Applian FLVPlayer and several other freely available FLV players do. So far, Adobe hasn't come after any of these yet.

I have heard that there is a project under way to remove the offending download code. In the meantime, get rtmpdump v1.6 wherever you can find it and patch it with the patches I include in rtmpdump-patches.
 
  


Reply

Tags
help, install, installation, instructions, seek, vlc, windows


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
mlb.com gameday audio stream statmobile Linux - Newbie 6 05-06-2008 10:16 PM
link dies intermittently-seemingly at random- between win<->linux not linux<->linux?? takahaya Linux - Networking 10 03-09-2007 10:37 PM
triple boot linux/linux/linux No Windows involved toastermaker Linux - Newbie 12 03-02-2006 10:40 PM
Redhat (rhel v2.1) bootup problem with linux (linux vs linux-up) namgor Linux - Software 2 06-24-2004 02:49 PM


All times are GMT -5. The time now is 04:55 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration